      subroutine numfilename(namebase,icount,filename)
      implicit none

      integer icount
      character*(*) namebase,filename

c     * Purpose
c     * define a numerical filename extension without leading zero's

c     * parameters:
c     * namebase  (i)  name base character string
c     * icount    (i)  integer counter used in file name extension
c     * filename  (i)  output filename characterstring

c     * locals
      integer lenbase,ndecim
      character*10 formatstring

c     * # decimals in icount
      if(icount .gt. 0) then
         ndecim = 1 + int( log10(float(icount) ) )
      else if(icount .eq. 0) then
         ndecim = 1
      else
         write(6,'(/,''ERROR in numfilename: icount='',i6)') icount
      end if

      write(formatstring,'(''(i'',i1,'')'')') ndecim

      lenbase  = len_trim(namebase)
      filename = namebase( 1:lenbase )//'.'
      write(filename(lenbase+2:),formatstring) icount
   
      return
      end
