      subroutine writebin_ptdata_single(binfile,data2dbuf,npressure,nisotherm)
      implicit none
      character(LEN=*) binfile
      integer npressure,nisotherm
      real*8 data2dbuf(npressure,nisotherm)

      ! locals
      integer iisotherm,jpressure,lenrecord
      integer bytespernumber
      parameter (bytespernumber=8)

      ! def. file parameters
      ! # fixed record length (Bytes) - # pressure points * Bytenumber
      lenrecord = npressure * bytespernumber

      open(9,FILE=binfile,ACCESS='direct',RECL=lenrecord,FORM='unformatted')

      ! write table columns in loop over isotherms
      do iisotherm=1,nisotherm
         write(9,REC=iisotherm) (data2dbuf(jpressure,iisotherm), &
                                 jpressure=1,npressure)
      end do

      return
      end subroutine writebin_ptdata_single
